# https://knasmueller.net/vue-js-on-gitlab-pages
pages:
 image: node:latest
 stage: deploy
 script:
  - npm install --progress=false
  - npm run build-ci
 
  - rm -rf public
  - mkdir public
  - cp -r dist/* public
  # Gzip all files in public. see: https://docs.gitlab.com/ee/user/project/pages/introduction.html#serving-compressed-assets
  - find public -type f -regex '.*\.\(htm\|html\|txt\|text\|js\|css\)$' -exec gzip -f -k {} \;
 artifacts:
  expire_in: 1 day
  paths:
  - public
 only:
  - master
